debootstrap (1.0.134ubuntu2) noble; urgency=medium

  * Detect and support SHA512 in Release index files
    LP: #2160111, Closes: #1141672

 -- Finn Rayk Gartner <finn.gartner@canonical.com>  Fri, 17 Jul 2026 00:08:44 +0200

debootstrap (1.0.134ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jan 2024 16:38:39 +0100

debootstrap (1.0.134) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * scripts/debian-common: install Priority:required with buildd variant
    for bookworm and earlier
  * scripts/debian-common: fixup for last commit
  * error out if chroot cannot be found in $PATH
  * check_sane_mount: if mknod does not work, test if bind-mounting
    /dev/null works
  * setup_devices: fall back to setup_devices_bind if setup_devices_simple
    failed irrespective of the container
  * debian/tests/debian-testing: support for DEBOOTSTRAP_SCRIPT
    environment variable
  * Move "unshared" test from autopkgtest to salsaci pipeline
  * debian/salsa-ci.yml: add checks for the buildd variant

  [ Matthias Klumpp ]
  * Implement support for repos with modern-style arch:all support
  * Add test for split-arch:all support

  [ Luca Boccassi ]
  * Add Ubuntu scripts/ symlinks for Lunar, Mantic and Noble
  * Add Debian scripts/ symlink for Forky
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Jan 2024 10:17:39 +0100

debootstrap (1.0.133ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:42:56 +0200

debootstrap (1.0.133) unstable; urgency=medium

  [ Luca Boccassi ]
  * Mark debootstrap as MA: foreign
  * Drop obsolete d/rules overrides and stop changing user/group in
    Makefile
  * d/copyright: switch format to DEP5

  [ Johannes Schauer Marin Rodrigues ]
  * functions: use mount from the outside to support chroots without mount
    installed
  * Let the buildd variant only install essential, build-essential and apt
    (Closes: #837060)

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 Oct 2023 12:38:26 +0100

debootstrap (1.0.132ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2023 17:31:57 +0200

debootstrap (1.0.132) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/control: run debootstrap with unshared namespaces

  [ Simon McVittie ]
  * d/tests/debian-testing:
    - More accurately emulate the behaviour of pbuilder 0.231
    - Revert fake/schroot-1.6.10-3 to an accurate emulation of the
      behaviour of schroot 1.6.10-3 (Closes: #983311)
    - Document schroot 1.6.10-3 with the default profile as expected to
      fail to use /dev/pts in a lxc >= 3 or Docker container; this is a
      schroot bug (#983423) and not a debootstrap bug
    - Resync fake/schroot-proposed with the patch proposed on #983423
    - Improve debug logging
    - Expand doc-comments
    - With these changes, the autopkgtest is confirmed to pass in
      autopkgtest-virt-qemu (Closes: #983197)
    - Skip systemd-nspawn phase when $container is set

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Aug 2023 14:16:37 +0100

debootstrap (1.0.131ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2023 08:07:54 +0200

debootstrap (1.0.131) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * functions: Reinstate setup_merged_usr() as it existed prior to !96

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 20 Aug 2023 14:11:43 +0200

debootstrap (1.0.130ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 08:42:39 +0200

debootstrap (1.0.130) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * hurd: Fix debootstrap --second-stage on native runs.

  [ Fatih Altun ]
  * Add Pardus support

  [ Denis 'GNUtoo' Carikli ]
  * Add Trisquel to scripts dir

  [ Helmut Grohne ]
  * implement merged-/usr by post-merging. Closes: #1049898

  [ Luca Boccassi ]
  * Add myself to Uploaders

  [ Michael Chen ]
  * README: add --preserve-env option to sudo command

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Aug 2023 16:02:59 +0100

debootstrap (1.0.129) UNRELEASED; urgency=medium

  * hurd: Fix debootstrap --second-stage on native runs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 May 2023 22:56:36 +0200

debootstrap (1.0.128+nmu5ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
      with mk-sbuild.
    - Update debootstrap to automatically use the gutsy script by default
      if the target is an Ubuntu release known to distro-info, eliminating
      the need to upload debootstrap for each new Ubuntu release.
    - Add dependency on distro-info, which is part of ubuntu-minimal, for the
      above
    - Remove all the old symlinks that are no longer needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 10:54:43 +0200

debootstrap (1.0.128+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Undo hostile unwarranted change.

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Jul 2023 12:42:47 +0100

debootstrap (1.0.128+nmu3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Akbarkhon Variskhanov ]
  * functions: Quote $USE_COMPONENTS. Thanks to Robert de Bath for
    reporting the bug and providing the fix (Closes: #963804)

  [ Johannes Schauer Marin Rodrigues ]
  * functions: improve misleading error message when tar fails
  * check if http_proxy is unset instead of checking if it's empty
    (Closes: #1031105)
  * If mount -t proc proc /proc failed, fall back to bind-mounting /proc

  [ Simon McVittie ]
  * Mention --merged-usr in --help output (Closes: #1031828)
  * functions: Default to merged-/usr, even for newer suites' buildds
  * d/source/lintian-overrides: Update overrides syntax

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Jul 2023 12:56:11 +0100

debootstrap (1.0.128+nmu2ubuntu5) mantic; urgency=medium

  * Remove hirsute symlink, overlooked previously because it was a link to
    groovy instead of to gutsy.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Jun 2023 11:51:22 -0700

debootstrap (1.0.128+nmu2ubuntu4) mantic; urgency=medium

  * Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
    with mk-sbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 21:38:57 -0700

debootstrap (1.0.128+nmu2ubuntu3) mantic; urgency=medium

  * Update debootstrap to automatically use the gutsy script by default
    if the target is an Ubuntu release known to distro-info, eliminating
    the need to upload debootstrap for each new Ubuntu release.
  * Add dependency on distro-info, which is part of ubuntu-minimal, for the
    above
  * Remove all the old symlinks that are no longer needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 May 2023 16:45:45 +0200

debootstrap (1.0.128+nmu2ubuntu2) mantic; urgency=medium

  * Symlink mantic -> gutsy. Welcome to Mantic Manimal!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Apr 2023 15:59:42 -0500

debootstrap (1.0.128+nmu2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Symlink lunar -> gutsy. Welcome to the Lunar Lobster!
    - Fix EXTRACTOR_OVERRIDE: parameter not set (LP: #1971951)
    - Fix failures with "set -u"

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Dec 2022 10:09:03 +0100

debootstrap (1.0.128+nmu2) unstable; urgency=low

  * Non-maintainer upload.

  [ Matthias Klumpp ]
  * Update PureOS bootstrap script

  [ Luca Boccassi ]
  * autopkgtest: fix running on !amd64
  * autopkgtest: run on 'testing' instead of 'bookworm'

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Oct 2022 23:49:31 +0100

debootstrap (1.0.128+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * autopkgtest: add /usr/sbin to PATH

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Oct 2022 10:45:01 +0100

debootstrap (1.0.128) unstable; urgency=low

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format

  [ Carsten Schoenert ]
  * Add (PureOS) byzantium as a symlink to amber
  * Add (PureOS) crimson as a symlink to amber

  [ Daniel Watkins ]
  * Support Packages files which are not ordered alphabetically by Package field
    (LP: #1990856)

  [ Dimitri John Ledkov ]
  * d/tests/unsorted-packages-files: cleanup temp files and daemon

  [ Tianon Gravi ]
  * Apply "EXCLUDE_DEPENDENCY" during "resolve_deps"

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 14 Oct 2022 12:31:04 +0100

debootstrap (1.0.127+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ansgar ]
  * debootstrap: optionally exclude specific dependencies
  * debian-common: exclude usrmerge when installing usr-is-merged

  [ Samuel Thibault ]
  * Enable usrmerge on hurd-i386 too.

 -- Luca Boccassi <bluca@debian.org>  Sat, 24 Sep 2022 14:07:46 +0100

debootstrap (1.0.127ubuntu2) lunar; urgency=medium

  * Symlink lunar -> gutsy. Welcome to the Lunar Lobster!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Oct 2022 13:27:45 -0500

debootstrap (1.0.127ubuntu1) kinetic; urgency=medium

  * Fix EXTRACTOR_OVERRIDE: parameter not set (LP: #1971951)
  * Fix failures with "set -u"

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Aug 2022 15:19:50 +0200

debootstrap (1.0.127) unstable; urgency=medium

  [ Heysion Yuan ]
  * add usrmerge support loongarch64.

  [ Paul Menzel ]
  * Avoid duplicate components in `sources.list`.

  [ Edward Tomasz Napierala ]
  * Mount /dev/fd if the host is FreeBSD.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.

  [ Luca Falavigna ]
  * Add (Ubuntu) kinetic as a symlink to gutsy.
  * Update standards version to 4.6.0.1, no changes needed.

  [ Luca Boccassi ]
  * setup_merged_usr: create skip flag when merged-usr is disabled on bookworm+
  * Add usr-is-merged to the required set on testing/unstable

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 25 Jul 2022 13:25:39 +0100

debootstrap (1.0.126+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Undo the changes of the last upload. (Closes: #998867)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 28 Nov 2021 12:38:15 +0100

debootstrap (1.0.126) unstable; urgency=low

  * Ensure bookworm+ suites are set up with merged-usr. (Closes: #978636)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 08 Nov 2021 14:40:06 +0000

debootstrap (1.0.125) unstable; urgency=medium

  [ Samuel Thibault ]
  * functions (download_main): Let the loops try the different components and
    suites when the checksum doesn't match. This is needed when several of
    them contain the same package name.

  [ Arnaud Rebillout ]
  * Fix auto proxy discovery (Closes: #985811)
  * Fix detection of docker container for cgroup v2 (Closes: #985481)

  [ Johannes 'josch' Schauer ]
  * functions: define link_dir before using it.

  [ Hideki Yamane ]
  * Add (Debian) trixie as a symlink to sid.

  [ Dimitri John Ledkov ]
  * Add (Ubuntu) jammy as a symlink to gutsy.
  * Upload to unstable.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 02 Nov 2021 11:35:00 +0000

debootstrap (1.0.124) experimental; urgency=medium

  [ Colin Watson ]
  * Add (Ubuntu) groovy as a symlink to gutsy.

  [ Samuel Thibault ]
  * functions: Turn for loops variables into locals, suggested by jhcha54008.

  [ YunQiang Su ]
  * stage1: re-mkdir /proc if it is a symlink instead of umount. (Closes: #968927)

  [ Luca Falavigna ]
  * Add (Ubuntu) hirsute as a symlink to gutsy.

  [ Tobias Koch ]
  * Add --inrelease-path option to allow specifying by-hash InRelease
    location.

  [ Dimitri John Ledkov ]
  * functions: add zstd control&data support to the ar extractor LP: #1923845
  * Add (Ubuntu) impish as a symlink to gutsy.
  * gutsy: sync changes from Ubuntu, to ensure that impish+ are always
    merged-usr.
  * gutsy: use --extractor=ar if dpkg-deb has no zstd support (i.e. on
    Debian & non-Ubuntu derivatives).
  * rules,control: adjust Recommends/Suggests to be appropriate on each
    distro.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Apr 2021 15:02:44 +0100

debootstrap (1.0.123) unstable; urgency=medium

  * Reinstate safeguard removed in 1.0.121, which is absolutely needed
    to avoid unmounting target entirely, as seen when running in d-i
    with default parameters (Closes: #953849). Vielen Dank, Johannes!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 14 Mar 2020 02:07:20 +0100

debootstrap (1.0.122) unstable; urgency=medium

  * Revert the addition of (mandatory) security support as debootstrap's
    goal is to provide with a basic Debian system that many provisioning
    systems are built upon. Changing behaviour now seems to be doing a
    disservice to all those tools that would need adapting. In addition to
    not seeming to be a good idea, that triggers regressions for a number
    of use cases (Closes: #953759, #953588, #953593, #953594, #953617).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 13 Mar 2020 05:43:24 +0100

debootstrap (1.0.121) unstable; urgency=medium

  * Fix "debootstrapping testing and stable results in exit 100",
    use CODENAME for check properly (Closes: #953404)

 -- Hideki Yamane <henrich@debian.org>  Tue, 10 Mar 2020 21:42:03 +0900

debootstrap (1.0.120) unstable; urgency=medium

  * Check codename for apt-transport-https (Closes: #920255, #879755)
  * Add security mirror setting (Closes: #939852, #543819)

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Mar 2020 02:01:59 +0900

debootstrap (1.0.119) unstable; urgency=medium

  [ Hideki Yamane ]
  * Fix: specify --foreign and --unpack-tarball at the same time
    Thanks to Cel Skeggs <cela@mit.edu> for the patch (Closes: #946783)
  * Add check rule for systemd-nspawn

  [ Jeremiah C. Foster ]
  * Adding PureOS 'amber' to scripts dir (Closes: #946476)

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Feb 2020 21:16:24 +0900

debootstrap (1.0.118) unstable; urgency=medium

  * rename .gitlab-ci.yml to salsa-ci.yml
  * debian/control
    - use debhelper-compat (= 12) and drop debian/compat
    - set Standards-Version 4.5.0
  * debian/tests/debian-testing
    - use AUTOPKGTEST_TMP instead of obsolete ADTTMP
  * fix /dev/ptmx mount on chroot and re-enable autopkgtest
  * fix: don't pass an empty arg to wget when --verbose is applied
    (Closes: #951367)

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 Feb 2020 21:16:39 +0900

debootstrap (1.0.117) unstable; urgency=medium

  [ Simon Quigley ]
  * Add (Ubuntu) focal as a symlink to gutsy. (Closes: #944976, #946815)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ James Clarke ]
  * Add a new --extra-suites option to support debootstrapping Debian Ports
    architectures with essential/required packages in its unreleased suite.

  [ Hideki Yamane ]
  * Fix "Fails when run from path containing space character" (Closes: #947173)
  * Remove some quote for variables since somehow wget fails with ""
    (double quote with no value)

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Feb 2020 21:15:26 +0900

debootstrap (1.0.116) unstable; urgency=medium

  [ Hideki Yamane ]
  * use salsa-pipeline for CI, instead of custom rule
  * disable unnecessary blhc and test-build-any CI test

  [ Philip Hands ]
  * disable the failing autopkgtest job
  * provide support for Devuan release names

 -- Hideki Yamane <henrich@debian.org>  Sun, 29 Sep 2019 10:56:48 +0900

debootstrap (1.0.115) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927549)

  [ Hideki Yamane ]
  * debian/control
    - Remove Junichi Uekawa <dancer@debian.org> from Uploaders with ack
  * scripts
    - Add (Ubuntu) eoan as a symlink to gutsy.

 -- Hideki Yamane <henrich@debian.org>  Sat, 06 Jul 2019 20:22:30 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog debootstrap`.
